<?php class F0d043951 extends Fce7d17ec { function F6e76364f() { return function_exists( "mysql_query" );
} function F4499a6ec() { return Cef53b24f; } function F88245754() { return 'MySQL'; } function Ff69a84a6( $V518a4861 ) {
 switch ( $V518a4861 ) { case Cf7ed7db4: return true; } return false; } function F7cef8a73() {
 if ( $this->F5e7466a3() ) { return true; } $V83fdf6a0 = $this->F018531a6(); if ( $this->F901555fb() !== null && $this->F901555fb() >= 0 ) {
 $V83fdf6a0 .= ':'.$this->F901555fb(); } $this->Ve1260894= @mysql_connect( $V83fdf6a0, $this->F435e0648(), $this->F5f4dcc3b(), true );
$this->V5e7466a3= $this->Fe1260894() !== false; if ( !empty( $this->Vf618483e) && $this->Fe1260894() ) {
 @mysql_select_db( $this->Ff618483e(), $this->Ve1260894); } return $this->F5e7466a3(); } function Fd144b693() {
 if ( $this->F5e7466a3() ) { if ( F838567b3( $this->Ff618483e(), $this->F56859aa7() ) ) { return true;
} } else if ( !$this->F7cef8a73() ) { return false; } $Vb4a88417 = $this->F52fb3679( "CREATE DATABASE ".$this->Ff618483e() );
return $Vb4a88417 ? true : false; } function F716f6b30() { if ( !$this->F5e7466a3() ) { return true;
} if ( @mysql_close( $this->Fe1260894() ) ) { $this->Ve1260894= null; $this->V5e7466a3= false; return true;
} return false; } function Fb2b487d1() { return $this->F5e7466a3() ? @mysql_error( $this->Fe1260894() ).' - Error #'.@mysql_errno( $this->Fe1260894() )
 : @mysql_error().' - Error #'.@mysql_errno() ; } function F56859aa7() { if ( !$this->F5e7466a3() ) {
 return false; } $Vb4a88417 = $this->F52fb3679( "SHOW DATABASES" ); if ( !$Vb4a88417 ) { return false;
} $V85afaab5 = array(); while ( $Vb4a88417->Fa0d696df() ) { $Vf1965a85 = $Vb4a88417->Fde17f0f2( C82dea639 );
$V85afaab5[] = $Vf1965a85[ 0 ]; } return $V85afaab5; } function F52fb3679( $V1b1cc7f0 ) { if ( !$this->F5e7466a3() ) {
 return false; } $Vb4a88417 = @mysql_query( $V1b1cc7f0, $this->Fe1260894() ); if ( !$Vb4a88417 ) {
 return false; } return new F63a6751f( $this, $Vb4a88417 ); } function Fe10081ea() { if ( !$this->F5e7466a3() ) {
 return false; } $Vb4a88417 = $this->F52fb3679( "SHOW TABLES" ); if ( !$Vb4a88417 ) { return false;
} $V9ab2ec7e = array(); while ( $Vb4a88417->Fa0d696df() ) { $Vf1965a85 = $Vb4a88417->Fde17f0f2( C82dea639 );
$V9ab2ec7e[] = $Vf1965a85[ 0 ]; } return $V9ab2ec7e; } function F69431bdf() { return $this->F5e7466a3() ? @mysql_insert_id( $this->Fe1260894() ) : -1;
} function Fe0ebc3c4( $V9a0364b9 ) { return mysql_real_escape_string( parent::Fe0ebc3c4( $V9a0364b9 ), $this->Fe1260894() );
} function Ff4d5b76a() { return true; } function Ffffca4d6() { return true; } function Ffff66e9b() {
 return true; } } ?>